window.Gleam.initSearch([{"doc":"logging","title":"logging","content":"# logging\n\nConfiguration for the Erlang logger.\n\n[![Package Version](https://img.shields.io/hexpm/v/logging)](https://hex.pm/packages/logging)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/logging/)\n\n```sh\ngleam add logging\n```\n\n```gleam\nimport logging.{Info}\n\npub fn main() {\n  // Run this once at the start of your program\n  logging.configure()\n\n  // And get logging!\n  logging.log(Info, &quot;Hello, Joe!&quot;)\n}\n```\n\n## Disabling the colored output\n\nWhen using some logger services, colored output can be superfluous, because\nthey&#39;re not processed at all, and appears as real characters. You can set\nthe `NO_COLOUR` or `NO_COLOR` environment variable to any string that _is not_\n`&quot;false&quot;` or the empty string to disable the colored output from the logger.\n\nFurther documentation can be found at &lt;https://hexdocs.pm/logging&gt;.\n","url":"index.html"},{"doc":"logging","title":"LogLevel","content":"pub type LogLevel {\n  Emergency\n  Alert\n  Critical\n  Error\n  Warning\n  Notice\n  Info\n  Debug\n}\n\nEmergency\n\n\nAlert\n\n\nCritical\n\n\nError\n\n\nWarning\n\n\nNotice\n\n\nInfo\n\n\nDebug\n\n\nSynonyms:\nlogging.LogLevel\nlogging LogLevel","url":"logging.html#LogLevel"},{"doc":"logging","title":"configure","content":"pub fn configure() -&gt; Nil\n Configure the default Erlang logger handler with a pretty Gleam output\n format, and sets the logging level to `Info`.\n\n ## Interaction with Elixir\n\n Elixir&#39;s built-in `logger` application removes Erlang&#39;s default logger\n handler and replaces it with its own code, so if you have an Elixir package\n in your project then this code will not be able to configure the logger as\n it could normally.\n\nSynonyms:\nlogging.configure\nlogging configure","url":"logging.html#configure"},{"doc":"logging","title":"log","content":"pub fn log(level: LogLevel, message: String) -&gt; Nil\n Log a message to the Erlang logger at the given log level.\n\nSynonyms:\nlogging.log\nlogging log","url":"logging.html#log"},{"doc":"logging","title":"set_level","content":"pub fn set_level(level: LogLevel) -&gt; Nil\n Change the log visibility level to be output.\n\nSynonyms:\nlogging.set_level\nlogging set_level","url":"logging.html#set_level"},{"doc":"logging","title":"logging","content":"","url":"logging.html"}]);